CVE-2019-5544

critical
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

OpenSLP as used in ESXi and the Horizon DaaS appliances has a heap overwrite issue. VMware has evaluated the severity of this issue to be in the Critical severity range with a maximum CVSSv3 base score of 9.8.

References

http://www.openwall.com/lists/oss-security/2019/12/10/2

http://www.openwall.com/lists/oss-security/2019/12/11/2

http://www.vmware.com/security/advisories/VMSA-2019-0022.html

https://access.redhat.com/errata/RHSA-2019:4240

https://access.redhat.com/errata/RHSA-2020:0199

https://lists.fedoraproject.org/archives/list/[email protected]/message/DA3LYAJ2NRKMOZLZOQNDJ5TNQRFMWGHF/

https://lists.fedoraproject.org/archives/list/[email protected]/message/ZPXXJZLPLAQULBCJVI5NNWZ3PGWXGXWG/

https://security.gentoo.org/glsa/202005-12

Details

Source: MITRE

Published: 2019-12-06

Updated: 2020-05-15

Type: CWE-787

Risk Information

CVSS v2

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

CVSS v3

Base Score: 9.8

Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 3.9

Severity: CRITICAL

Tenable Plugins

View all (21 total)

IDNameProductFamilySeverity
148810Ubuntu 16.04 LTS : OpenSLP vulnerability (USN-4919-1)NessusUbuntu Local Security Checks
critical
137497EulerOS 2.0 SP2 : openslp (EulerOS-SA-2020-1655)NessusHuawei Local Security Checks
critical
136642GLSA-202005-12 : OpenSLP: Multiple vulnerabilitiesNessusGentoo Local Security Checks
critical
135764NewStart CGSL MAIN 4.05 : openslp Vulnerability (NS-SA-2020-0015)NessusNewStart CGSL Local Security Checks
critical
135547EulerOS 2.0 SP3 : openslp (EulerOS-SA-2020-1418)NessusHuawei Local Security Checks
critical
133921EulerOS 2.0 SP5 : openslp (EulerOS-SA-2020-1120)NessusHuawei Local Security Checks
critical
133314CentOS 6 : openslp (CESA-2020:0199)NessusCentOS Local Security Checks
critical
133220Oracle Linux 6 : openslp (ELSA-2020-0199)NessusOracle Linux Local Security Checks
critical
133196Scientific Linux Security Update : openslp on SL6.x i386/x86_64 (20200122)NessusScientific Linux Local Security Checks
critical
133188RHEL 6 : openslp (RHSA-2020:0199)NessusRed Hat Local Security Checks
critical
133086NewStart CGSL CORE 5.05 / MAIN 5.05 : openslp Vulnerability (NS-SA-2020-0001)NessusNewStart CGSL Local Security Checks
critical
132631EulerOS 2.0 SP8 : openslp (EulerOS-SA-2020-1038)NessusHuawei Local Security Checks
critical
132464NewStart CGSL CORE 5.04 / MAIN 5.04 : openslp Vulnerability (NS-SA-2019-0260)NessusNewStart CGSL Local Security Checks
critical
132402CentOS 7 : openslp (CESA-2019:4240)NessusCentOS Local Security Checks
critical
132266Amazon Linux 2 : openslp (ALAS-2019-1378)NessusAmazon Linux Local Security Checks
critical
132229RHEL 7 : openslp (RHSA-2019:4240)NessusRed Hat Local Security Checks
critical
132221Oracle Linux 7 : openslp (ELSA-2019-4240)NessusOracle Linux Local Security Checks
critical
132115Fedora 30 : openslp (2019-86bceb61b3)NessusFedora Local Security Checks
critical
132112Fedora 31 : openslp (2019-1e5ae33e87)NessusFedora Local Security Checks
critical
132085Scientific Linux Security Update : openslp on SL7.x x86_64 (20191216)NessusScientific Linux Local Security Checks
critical
132017VMSA-2019-0022 : VMware ESXi updates address OpenSLP remote code execution vulnerabilityNessusVMware ESX Local Security Checks
critical